cannot unlock my iphone 3G // Baseband 05.12.01

Discussion in 'iPhone Tips, Help and Troubleshooting' started by aldorande, May 10, 2010.

  1. aldorande macrumors member

    Joined:
    Dec 1, 2009
    #1
    Hi,

    I have downloaded and installed Blackra1n RC1, and that doesn't work: that just display some empty dashes instead of bars for the Network.

    this is my current config

    Firmware 3.1.2 (7D11)
    Modem Firmware (baseband) 05.12.01
    iTunes 9.1 on Mac OS 10.6.3

    Is there any other software that could fix it? how do I get it on my iPhone?

    Or do I have to do some complex manipulation with downgrading the firmware? what are they exactly?

    Thanks a lot.
     
  2. pixelated macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #2
    There isnt an unlock tool for baseband 05.12.01.
    Your phone must have been updated to 3.1.3 FW which installs a new Baseband. Even when you downgrade FW, the baseband will not change back.

    FYI, blackra1n would have only JB your phone, not unlocked it, so not sure why that didn't work.

    If you still want a JailBreak, maybe try blackra1n RC3 or redsn0w, whatever its latest version is.
     
  3. aldorande thread starter macrumors member

    Joined:
    Dec 1, 2009
    #3
    hi pixelated,

    thanks for your answers.

    my iPhone has just been jailbroken using Pwnage Tool 3.1.5. Blackra1n was not working: it tells my iPhone is jailbroken but kept displaying the screens Connect to iTunes / Emergency Calls (which probably wouldn't work, would they?).

    Now my iPhone is working except the Phone feature. I need to unlock my phone. Are you sure there is no way?
     
  4. pixelated macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #4
    well, if your 3G was one of the first made there is a VERY SMALL chance you will have a bootloader for which there is a baseband downgrade.
    Heres an iClarified Tutorial on the how to, but don't get your hopes up.
     
  5. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #5
    To be clear, if Fuzzyband does not allow you to downgrade your baseband, there is no way for you to unlock your phone.
     
  6. aldorande thread starter macrumors member

    Joined:
    Dec 1, 2009
    #6
    Fuzzyband Downgrader 1.0 says it's Not supported. It shows Bootloader Version and Baseband version being 0.00.

    However, it's just written in red bellow :
    This software cannot be used ton iPhoneOS 3.0; You must downgrade to 2.2.1 or lower.

    What does this mean?
     
  7. aldorande thread starter macrumors member

    Joined:
    Dec 1, 2009
  8. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
  9. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
  10. aldorande thread starter macrumors member

    Joined:
    Dec 1, 2009
    #10
    and now?
    isn't RedSn0w able to do it?

    I have the same config as before except that I have iTunes 9.2. (10.6.4)
     
  11. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #11
    Yes, if you're on 4.0 just run redsnow to JB it.
    And then install ultrasnow from cydia to unlock it.
    Or if you want you can stay on 3.1.2 and just install ultrasnow from cydia.
     
  12. aldorande thread starter macrumors member

    Joined:
    Dec 1, 2009
    #12
    thanks that worked with Ultrasn0w: I can phone from Meteor provider now
    ;)
     

Share This Page